name: interp4
version: 0.1.0.0
build-type: Simple
cabal-version: >=1.10

executable interp4
  main-is: Main.hs
  hs-source-dirs: src/interp4
  other-modules:
    AST
    Eval
    Lexer
    Parser
  build-depends:
    base >=4.14 && <4.16,
    parsec >=3.1 && <3.2,
    mtl >=2.2.2
  default-language: Haskell2010


executable interp1
  main-is: Main.hs
  hs-source-dirs: src/interp1
  other-modules:
    AST
    Eval
    Lexer
    Parser
  build-depends:
    base >=4.14 && <4.16,
    parsec >=3.1 && <3.2,
    mtl >=2.2.2
  default-language: Haskell2010